Index: src/Tesselation/BoundaryLineSet.cpp
===================================================================
--- src/Tesselation/BoundaryLineSet.cpp	(revision 0aa122d5f3137de21e283fdaa583b526d33a6540)
+++ src/Tesselation/BoundaryLineSet.cpp	(revision 03a58974943974bda29e50e38854002e694c2f07)
@@ -42,5 +42,5 @@
   Nr(-1)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (int i = 0; i < 2; i++)
     endpoints[i] = NULL;
@@ -55,5 +55,5 @@
 BoundaryLineSet::BoundaryLineSet(BoundaryPointSet * const Point[2], const int number)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // set number
   Nr = number;
@@ -66,5 +66,5 @@
   skipped = false;
   // clear triangles list
-  LOG(0, "New Line with endpoints " << *this << ".");
+  LOG(5, "DEBUG: New Line with endpoints " << *this << ".");
 }
 ;
@@ -80,5 +80,5 @@
   skipped(false)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // set endpoints in ascending order
   SetEndpointsOrdered(endpoints, Point1, Point2);
@@ -87,5 +87,5 @@
   Point2->AddLine(this); //
   // clear triangles list
-  LOG(0, "New Line with endpoints " << *this << ".");
+  LOG(5, "DEBUG: New Line with endpoints " << *this << ".");
 }
 ;
@@ -97,5 +97,5 @@
 BoundaryLineSet::~BoundaryLineSet()
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   int Numbers[2];
 
@@ -144,6 +144,6 @@
 void BoundaryLineSet::AddTriangle(BoundaryTriangleSet * const triangle)
 {
-  Info FunctionInfo(__func__);
-  LOG(0, "Add " << triangle->Nr << " to line " << *this << ".");
+  //Info FunctionInfo(__func__);
+  LOG(5, "DEBUG: Add " << triangle->Nr << " to line " << *this << ".");
   triangles.insert(TrianglePair(triangle->Nr, triangle));
 }
@@ -156,5 +156,5 @@
 bool BoundaryLineSet::IsConnectedTo(const BoundaryLineSet * const line) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   if ((endpoints[0] == line->endpoints[0]) || (endpoints[1] == line->endpoints[0]) || (endpoints[0] == line->endpoints[1]) || (endpoints[1] == line->endpoints[1]))
     return true;
@@ -172,11 +172,11 @@
 bool BoundaryLineSet::CheckConvexityCriterion() const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   double angle = CalculateConvexity();
   if (angle > -MYEPSILON) {
-    LOG(0, "ACCEPT: Angle is greater than pi: convex.");
+    LOG(3, "ACCEPT: Angle is greater than pi: convex.");
     return true;
   } else {
-    LOG(0, "REJECT: Angle is less than pi: concave.");
+    LOG(3, "REJECT: Angle is less than pi: concave.");
     return false;
   }
@@ -190,5 +190,5 @@
 double BoundaryLineSet::CalculateConvexity() const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector BaseLineCenter, BaseLineNormal, BaseLine, helper[2], NormalCheck;
   // get the two triangles
@@ -234,5 +234,5 @@
   //LOG(0, "INFO: BaselineNormal is " << BaseLineNormal << ".");
   if (NormalCheck.NormSquared() < MYEPSILON) {
-    LOG(0, "ACCEPT: Normalvectors of both triangles are the same: convex.");
+    LOG(3, "ACCEPT: Normalvectors of both triangles are the same: convex.");
     return true;
   }
@@ -248,5 +248,5 @@
 bool BoundaryLineSet::ContainsBoundaryPoint(const BoundaryPointSet * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (int i = 0; i < 2; i++)
     if (point == endpoints[i])
@@ -262,5 +262,5 @@
 class BoundaryPointSet *BoundaryLineSet::GetOtherEndpoint(const BoundaryPointSet * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   if (endpoints[0] == point)
     return endpoints[1];
@@ -278,5 +278,5 @@
 class BoundaryTriangleSet *BoundaryLineSet::GetOtherTriangle(const BoundaryTriangleSet * const triangle) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   if (triangles.size() == 2) {
     for (TriangleMap::const_iterator TriangleRunner = triangles.begin(); TriangleRunner != triangles.end(); ++TriangleRunner)
